Skip to navigation

Deprecated: Continue a Research Session

Deprecated
View as Markdown

Deprecated: use research runs turns create (POST /v1/research/runs/{runId}/turns).

Authentication

AuthorizationBearer

Your aVenture API key (https://aventure.vc/settings/api-keys) or OAuth access token

Path parameters

runIdstringRequiredformat: "uuid"
Research run id

Request

This endpoint expects an object.
figureboolean or nullOptional
True asks the analyst to also illustrate the section with figures
invocationobject or nullOptional
Analysis tool invocation instead of a text message
textstring or nullOptional
Nonblank user message within the conversation turn character limit

Response headers

X-RateLimit-Limitinteger

Requests allowed per client IP in the current rate-limit window.

X-RateLimit-Remaininginteger

Requests left before the tightest applicable rate-limit bucket rejects.

X-RateLimit-Resetinteger

Seconds until the exhausted rate-limit bucket admits another request; 0 when none is exhausted.

Response

OK
createdAtdatetime
Append timestamp
idlong
Monotonic event id
payloadstring

Run-stream envelope as an opaque JSON string

runIdstringformat: "uuid"
Owning run id
seqinteger

Per-run ordering sequence

typestring
Stream part type

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
409
Conflict Error
415
Unsupported Media Type Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error